View Issue Details

IDProjectCategoryView StatusLast Update
0006912Talermechant backendpublic2021-09-02 23:32
Reportersebasjm Assigned ToChristian Grothoff  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8.5Fixed in Version0.8.5 
Summary0006912: reported transfer in instance $X from a order created in instance $Y
Descriptionthis was tested in demo:
1.- create and pay an order from instance named sebasjm
2.- wait for the bank the exchange to send the wire transfer
3.- go to backoffice and notifiy the transfer but from another instance (my case was from default instance)
4.- transfer gets verified, get listed into transfers list from the default instance
5.- checked that is not listed in the transfer list of the sebasjm instance

note1: account payto differ, since this was from another instance with another payto uri. from this I assume that it will be a good addition to check the payto URI
note2: the order still get the information from the wire transfer, even if it was notified by another instance. which should not happen

TagsNo tags attached.

Activities

Christian Grothoff

2021-08-31 13:19

manager   ~0018148

I've now written test_merchant_transfer_tracking.sh with the explicit goal to reproduce the issue -- and failed. :-(.
Sebastian: Please review the test and tell me what I did not understand correctly, and modify it to reproduce the issue.

Christian Grothoff

2021-08-31 23:02

manager   ~0018157

Sorry, added the file now. Had forgotten to 'git add'.

sebasjm

2021-09-02 18:40

developer   ~0018386

pushed a change into the test

sebasjm

2021-09-02 22:36

developer   ~0018387

fixed and tests updated

Issue History

Date Modified Username Field Change
2021-06-29 20:54 sebasjm New Issue
2021-06-29 20:54 sebasjm Status new => assigned
2021-06-29 20:54 sebasjm Assigned To => Christian Grothoff
2021-07-13 06:49 Christian Grothoff Assigned To Christian Grothoff =>
2021-07-13 06:49 Christian Grothoff Status assigned => confirmed
2021-08-24 20:31 Christian Grothoff Target Version git (master) => 0.8.5
2021-08-24 20:49 Christian Grothoff Assigned To => Christian Grothoff
2021-08-24 20:49 Christian Grothoff Status confirmed => assigned
2021-08-31 13:19 Christian Grothoff Note Added: 0018148
2021-08-31 13:19 Christian Grothoff Assigned To Christian Grothoff => sebasjm
2021-08-31 13:19 Christian Grothoff Priority normal => high
2021-08-31 23:02 Christian Grothoff Note Added: 0018157
2021-09-02 18:40 sebasjm Note Added: 0018386
2021-09-02 18:40 sebasjm Assigned To sebasjm => Christian Grothoff
2021-09-02 22:36 sebasjm Status assigned => resolved
2021-09-02 22:36 sebasjm Resolution open => fixed
2021-09-02 22:36 sebasjm Fixed in Version => git (master)
2021-09-02 22:36 sebasjm Note Added: 0018387
2021-09-02 23:32 Christian Grothoff Fixed in Version git (master) => 0.8.5